nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Protected Member Functions | List of all members
nx::sdk::ActiveSettingChangedAction Class Reference
Inheritance diagram for nx::sdk::ActiveSettingChangedAction:

## Public Member Functions
void | setActiveSettingId (std::string value)
void | setSettingsModel (std::string value)
void | setSettingsValues (Ptr< const StringMap > value)
void | setParams (Ptr< const StringMap > value)
virtual const char * | activeSettingName () const override
virtual const char * | settingsModel () const override
Public Member Functions inherited from nx::sdk::RefCountable< IActiveSettingChangedAction >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::IActiveSettingChangedAction
Ptr< const IStringMap > | settingsValues () const
Ptr< const IStringMap > | params () const
Public Member Functions inherited from nx::sdk::Interface< IActiveSettingChangedAction >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const

## Protected Member Functions
virtual const IStringMap * | getSettingsValues () const override
virtual const IStringMap * | getParams () const override
Protected Member Functions inherited from nx::sdk::Interface< IActiveSettingChangedAction >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Static Public Member Functions inherited from nx::sdk::IActiveSettingChangedAction
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ activeSettingName()

const char * nx::sdk::ActiveSettingChangedAction::activeSettingName | ( |  | ) | const
| overridevirtual

Returns
  Name of a setting which has triggered this notification.

Implements nx::sdk::IActiveSettingChangedAction.

## ◆ getParams()

const IStringMap * nx::sdk::ActiveSettingChangedAction::getParams | ( |  | ) | const
| overrideprotectedvirtual

Called by params()

Implements nx::sdk::IActiveSettingChangedAction.

## ◆ getSettingsValues()

const IStringMap * nx::sdk::ActiveSettingChangedAction::getSettingsValues | ( |  | ) | const
| overrideprotectedvirtual

Called by settingsValues()

Implements nx::sdk::IActiveSettingChangedAction.

## ◆ settingsModel()

const char * nx::sdk::ActiveSettingChangedAction::settingsModel | ( |  | ) | const
| overridevirtual

Returns
  Model of settings the Active setting has been triggered on. Never null.

Implements nx::sdk::IActiveSettingChangedAction.

The documentation for this class was generated from the following files:

- src/nx/sdk/helpers/active_setting_changed_action.h
- src/nx/sdk/helpers/active_setting_changed_action.cpp